package http_model

import "youngee_b_api/model/gorm_model"

type FullSProjectBillListRequest struct {
	ProjectPlatform int    `json:"project_platform"` // 种草任务平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	SupplierId      int    `json:"supplier_id"`      // 服务商ID
	ProjectStatus   int    `json:"project_status"`   // 种草任务状态
	SProjectId      int    `json:"s_project_id"`     // 种草任务ID
	ProjectName     string `json:"project_name"`     // 种草任务名称
	PageNum         int32  `json:"page_num"`
	PageSize        int32  `json:"page_size"`
}

type FullSProjectBillData struct {
	SProjectList []*gorm_model.SProjectInfo `json:"s_project_info"` // 服务商加入商单的种草任务信息
	Total        int64                      `json:"total"`          // 数量
}

func NewFullSProjectBillRequest() *FullSProjectBillListRequest {
	return new(FullSProjectBillListRequest)
}

func NewFullSProjectBillResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(FullSProjectBillData)
	return resp
}
